<?php

$erros = array();
$tokadastro  = filter_var(trim($_POST['tokadastro']), FILTER_SANITIZE_STRING);
$tokadastro2 = filter_var(trim($_SESSION['tokadastro']), FILTER_SANITIZE_STRING);
//if($tokadastro!=$tokadastro2) {  exit; } 

$email  = filter_var(trim($_POST['email']), FILTER_SANITIZE_STRING);
$email2 = filter_var(trim($_POST['email2']), FILTER_SANITIZE_STRING);


$selmail = mysql_query("SELECT email FROM clientes WHERE email = '$email'");
if(mysql_num_rows($selmail)>0) {  $erros['email'] = 'Email já cadastrado, escolha outro ou efetue login'; $erros['erros'] = 1; echo json_encode($erros); exit;   }
if(!filter_var(trim($email), FILTER_VALIDATE_EMAIL) || $email!=$email2 ){ $erros['email'] = 'Digite um email válido, ele será seu login de acesso';  }


$cep         = filter_var(trim($_POST['cep']), FILTER_SANITIZE_STRING);
$logradouro         = filter_var(trim($_POST['logradouro']), FILTER_SANITIZE_STRING);
$bairro2         = filter_var(trim($_POST['bairro2']), FILTER_SANITIZE_STRING);
$complemento         = filter_var(trim($_POST['complemento']), FILTER_SANITIZE_STRING);
$cidade         = filter_var(trim($_POST['cidade']), FILTER_SANITIZE_STRING);
$referencia         = filter_var(trim($_POST['referencia']), FILTER_SANITIZE_STRING);

if(strlen($cep)!=9){  $erros['cep'] = 'Digite um CEP válido';   }
if(empty($logradouro)){  $erros['logradouro'] = 'Digite um CEP válido para o preenchimento automático do Lograduro';   }
if(empty($bairro2)){  $erros['bairro2'] = 'Digite um CEP válido para a seleção automática do Bairro';   }
if(empty($complemento)){  $erros['complemento'] = 'Digite complemento (ex: como número, apartamento, nome do edifício, etc)';   }
if(empty($cidade)){  $erros['cidade'] = 'Digite um CEP válido para a seleção automática da Cidade';   }
if(empty($referencia)){  $erros['referencia'] = 'Digite uma referência de localização';   }

 

$nome         = filter_var(trim($_POST['nome']), FILTER_SANITIZE_STRING);
$cel         = filter_var(trim($_POST['cel']), FILTER_SANITIZE_STRING);
$tel         = filter_var(trim($_POST['tel']), FILTER_SANITIZE_STRING);
$senha1         = filter_var(trim($_POST['senha1']), FILTER_SANITIZE_STRING);
$senha2         = filter_var(trim($_POST['senha2']), FILTER_SANITIZE_STRING);


if(empty($nome)){  $erros['nome'] = 'Digite seu nome completo';   }
if(empty($cel)){  $erros['cel'] = 'Digite seu celular';   }
if(empty($tel)){  $erros['tel'] = 'Digite um telefone fixo';   }

if(strlen($senha1)<4 || strlen($senha1)>6){  $erros['senha1'] = 'Digite a senha com 4 a 6 caracteres';   }
if( $senha1!=$senha2 || empty($senha2)!=0){ $erros['senha2'] = 'Digite a confirmação da senha';  }


if(sizeof($erros)==0){

	$erros['erros'] = 0;
}else{
	$erros['erros'] = 1;
}

echo json_encode($erros);
